﻿@page
@model Orgatron.Pages.Jeux.IndexModel

@{
	ViewData["Title"] = "Index";
}

@if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
{
	<p>
		<a asp-page="Create">Create New</a>
	</p>
}
<table class="table">
	<thead>
		<tr>
			<th>
				@Html.DisplayNameFor(model => model.Jeu[0].Nom)
			</th>
			<th>
				@Html.DisplayNameFor(model => model.Jeu[0].Description)
			</th>
			@if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
			{
				<th>
					@Html.DisplayNameFor(model => model.Jeu[0].EstActif)
				</th>
			}
			<th></th>
		</tr>
	</thead>
	<tbody>
		@foreach (var item in Model.Jeu)
		{
		<tr>
			<td>
				@Html.DisplayFor(modelItem => item.Nom)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Description)
			</td>
			@if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
			{
				<td>
					@Html.DisplayFor(modelItem => item.EstActif)
				</td>
			}
			<td>
				@if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
				{
					<a asp-page="./Delete" asp-route-id="@item.Id">Delete</a><label> - </label>
					<a asp-page="./Edit" asp-route-id="@item.Id">Edit</a><label> - </label>
				}
				<a asp-page="./Details" asp-route-id="@item.Id">Details</a>

			</td>
		</tr>
		}
	</tbody>
</table>
